@foreach($collections as $collection)
    @php
        $products = $collection->products()->with(['media'])
                        ->where('is_visible', true)
                        ->where('parent_id', null)
                        ->where('stock', '>', 0)
                        ->limit(10)
                        ->latest()
                        ->get();
    @endphp

    <article class="component-item widget-width">
        <div class="widget-container">
            <div class="widget-gw-widget">
                <div class="widget-header">
                    <span>{{ $collection->name }}</span>
                    <div class="widget-header-navigation">
                        <a class="#" href="{{ route('web.collections.products', ['collection' => $collection->slug]) }}">
                            {{ __('View all') }}!
                        </a>
                    </div>
                </div>

                @if ($products->count() > 0)
                    @include('web.themes.shella.components.products.trendyol.carousel', [
                        'products' => $products,
                    ])
                @endif
            </div>
        </div>
    </article>
@endforeach
